/*
 *      SCCS:  @(#)prerror.c	1.6 (96/11/04) 
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1992 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

#ifndef lint
static char sccsid[] = "@(#)prerror.c	1.6 (96/11/04) TETware release 3.1";
#endif

/************************************************************************

SCCS:   	@(#)prerror.c	1.6 96/11/04 TETware release 3.1
NAME:		prerror.c
PRODUCT:	TETware
AUTHOR:		Andrew Dingwall, UniSoft Ltd.
DATE CREATED:	April 1992

DESCRIPTION:
	error message formatting and printing function

MODIFICATIONS:

************************************************************************/

#include <stdio.h>
#include <errno.h>
#ifndef TET_LITE	/* -START-LITE-CUT- */
#endif /* !TET_LITE */	/* -END-LITE-CUT- */
#include "dtmac.h"
#include "dtetlib.h"

/*
**	tet_prerror() - format and print an error message
*/

void tet_prerror(fp, errnum, hdr, file, line, s1, s2)
FILE *fp;
int errnum, line;
char *hdr, *file, *s1, *s2;
{
	extern int sys_nerr;
	extern char *sys_errlist[];

	(void) fprintf(fp, "%s (%s, %d): %s", hdr, file, line, s1);
	if (s2 && *s2)
		(void) fprintf(fp, " %s", s2);
	if (errnum > 0 && errnum < sys_nerr)
		(void) fprintf(fp, ": %s", sys_errlist[errnum]);
#ifndef TET_LITE	/* -START-LITE-CUT- */
#endif /* !TET_LITE */	/* -END-LITE-CUT- */
	(void) putc('\n', fp);
	(void) fflush(fp);

	errno = 0;
}

